﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Cuti Intalogi |  @Html.Raw(ViewBag.Title) </title>
    <!-- Tell the browser to be responsive to screen width -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bbootstrap 4 -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- JQVMap -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/jqvmap/jqvmap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="~/AdminLTE/dist/css/adminlte.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/daterangepicker/daterangepicker.css">
    <!-- summernote -->
    <link rel="stylesheet" href="~/AdminLTE/plugins/summernote/summernote-bs4.css">
    <link rel="stylesheet" href="~/AdminLTE/dist/css/jquery.treeview.css">
    z
    <!-- Google Font: Source Sans Pro -->
    <link href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700" rel="stylesheet">

    @RenderSection("HeadLibrary", required: false)
</head>
<body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
    <div class="wrapper">

        <!-- Navbar -->
        @Html.Partial("Header")
        <!-- /.navbar -->
        <!-- Main Sidebar Container -->

        @Html.Partial("MainMenu")

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-left">
                                <li class="breadcrumb-item"><i class="nav-icon fas fa-tachometer-alt"></i><a href='@Url.Content("~/Home")'> Home</a></li>
                                <li class="breadcrumb-item active">@Html.Raw(ViewBag.NamaMenu)</li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->
            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    @RenderBody()
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>



        @RenderSection("Modals", required: false)
        <div class="modal fade" id="modal_change_password" role="dialog">
            <div class="modal-dialog modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h4 class="modal-title">Change Password</h4>
                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span aria-hidden="true">&times;</span>
                        </button>
                    </div>
                    <div class="modal-body form">
                        <div id="notifications"></div>
                        <form action="#" id="form_change_password" class="form-horizontal" enctype="multipart/form-data">
                            <input type="hidden" value="@Session["id_karyawan"]" name="Username" />

                            <div class="form-body">
                                <div class="form-group">
                                    <label class="control-label ">Current Password</label>
                                    <input name="current_password" id="current_password" class="form-control" type="password">
                                    <span class="help-block"></span>
                                </div>
                            </div>
                            <div class="form-body">
                                <div class="form-group">
                                    <label class="control-label ">New Password</label>
                                    <input name="new_password" id="new_password" class="form-control" type="password">
                                    <span class="help-block"></span>
                                </div>
                            </div>
                            <div class="form-body">
                                <div class="form-group">
                                    <label class="control-label">Confirm New Password</label>
                                    <input name="confirm_new_password" id="confirm_new_password" class="form-control" type="password">
                                    <span class="help-block"></span>
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button type="button" id="btnChagePassword" onclick="Change_Password()" class="btn btn-primary">Change</button>
                        <button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
                    </div>
                </div>
            </div>
        </div>




        <!-- /.content-wrapper -->
        <footer class="main-footer">
            <strong>Copyright &copy; 2021 <a href="http://adminlte.io">INTALOGI</a>.</strong>
            All rights reserved.
            <div class="float-right d-none d-sm-inline-block">
                <b>Version</b> 1.0.0
            </div>
        </footer>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark accent-blue">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->
    <!-- jQuery -->

    <script src="~/AdminLTE/plugins/jquery/jquery.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="~/AdminLTE/plugins/jquery-ui/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button)
    </script>
    <!-- Bootstrap 4 -->
    <script src="~/AdminLTE/plugins/bootstrap/js/bootstrap.bundle.min.js"></script>

    @RenderSection("BodyLibrary", required: false)


    <!-- ChartJS -->
    <script src="~/AdminLTE/plugins/chart.js/Chart.min.js"></script>
    <!-- Sparkline -->
    <script src="~/AdminLTE/plugins/sparklines/sparkline.js"></script>
    <!-- JQVMap -->
    <script src="~/AdminLTE/plugins/jqvmap/jquery.vmap.min.js"></script>
    <script src="~/AdminLTE/plugins/jqvmap/maps/jquery.vmap.usa.js"></script>
    <!-- jQuery Knob Chart -->
    <script src="~/AdminLTE/plugins/jquery-knob/jquery.knob.min.js"></script>
    <!-- daterangepicker -->
    <script src="~/AdminLTE/plugins/moment/moment.min.js"></script>
    <script src="~/AdminLTE/plugins/daterangepicker/daterangepicker.js"></script>
    @*Tempusdominus Bootstrap 4*@
    <script src="~/AdminLTE/plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Summernote -->
    <script src="~/AdminLTE/plugins/summernote/summernote-bs4.min.js"></script>
    <!-- overlayScrollbars -->
    <script src="~/AdminLTE/plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
    <!-- AdminLTE App -->
    <script src="~/AdminLTE/dist/js/adminlte.js"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="~/AdminLTE/dist/js/pages/dashboard.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="~/AdminLTE/dist/js/demo.js"></script>
    <!-- bs-custom-file-input -->
    <script src="~/AdminLTE/plugins/bs-custom-file-input/bs-custom-file-input.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button)
    </script>
    <!-- FastClick -->
    <script src="@Url.Content("~/AdminLTE/plugins/fastclick/fastclick.js")"></script>

    <script type="text/javascript">
        function resetDate() {
            $("#StartDate").datepicker("setDate", '@DateTime.Now');
            $("#StartDate").val("");
            $("#EndDate").datepicker("setDate", '@DateTime.Now');
            $("#EndDate").val("");
        }

        jQuery(document).ready(function ($) {

            $('#@ViewBag.MenuID').addClass('nav-link active');

            try {
                $('#@ViewBag.ParentID').addClass('menu-open');
            } catch { }


        });

        function change_password()
        {
            $('#form_change_password')[0].reset();
            $("#modal_change_password").modal('show');

        }

        function Change_Password()
        {
            $('#btnChagePassword').text('saving...'); //change button text
            $('#btnChagePassword').attr('disabled', true); //set button disable

            var form = "form_change_password";
            $.ajax({
                url: "@Url.Content("~/MasterKaryawan/change_password")",
                type: "POST",
                data: $('#' + form).serialize(),
                dataType: "JSON",
                success: function (data) {
                    if (data == "Success") //if success close modal and reload ajax table
                    {
                        $('#notifications').show();
                        $('#notifications').html('<div class="alert alert-success alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><h4><i class="icon fa fa-check"></i> Success!</h4>Password berhasil dirubah.</div>');
                        $('#btnChagePassword').text('Change'); //change button text
                        $('#btnChagePassword').attr('disabled', false); //set button enable
                        $('#form_change_password')[0].reset();
                        setTimeout(function () {
                            $("#modal_change_password").modal('hide');
                        }, 5000);
                    }
                    else {

                        $('#notifications').show();
                        $('#notifications').html('<div class="alert alert-danger alert-dismissible"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><h4><i class="icon fa fa-ban"></i> failed!</h4>'+data+'</div>');
                        $('#btnChagePassword').text('Change'); //change button text
                        $('#btnChagePassword').attr('disabled', false); //set button enable
                    }
                    setTimeout(function () {
                        $('#notifications').fadeOut('slow');
                    }, 5000);
                },
                error: function (jqXHR, textStatus, errorThrown) {
                    alert('Error adding / update data');
                    $('#btnChagePassword').text('save'); //change button text
                    $('#btnChagePassword').attr('disabled', false); //set button enable
                }
            });
        }

        function open_help() {
        }

    </script>
    @RenderSection("AdditionalScript", required: false)
</body>
</html>


